Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPSuggestion

    java.lang.Object
      com.verisign.epp.interfaces.EPPSuggestion

    public class EPPSuggestion

extends java.lang.Object

`EPPSuggestion` is the primary client interface class used for Suggestion management. An instance of `EPPSuggestion` is created with an initialized `EPPSession`, and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.suggestion` package.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPResponse`, `EPPSuggestionInfoResp`

Constructor Summary
`EPPSuggestion(EPPSession newSession)` Constructs an `EPPSuggestion` given an initialized EPP session.

Method Summary
`void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
`EPPCommand` | `getCommand()` Retrieve the `EPPCommand` object to send
`java.util.Vector<EPPCodecComponent>` | `getExtensions()` Gets the command extensions.
`EPPResponse` | `getResponse()` Get the `EPPResponse` associated with the last command.
`EPPSession` | `getSession()` Retrieve the `EPPSession` associated with this EPPSuggestion.
`EPPSuggestionInfoResp` | `sendInfo()`
`void` | `setCommand(EPPCommand command)`
`void` | `setExtensions(java.util.Vector<EPPCodecComponent> aExtensions)`
`void` | `setSession(EPPSession aSession)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPSuggestion

    public EPPSuggestion(EPPSession newSession)

  Constructs an `EPPSuggestion` given an initialized EPP session.

  Parameters:
    `newSession` - Server session to use.

Method Detail

### addExtension

    public void addExtension(EPPCodecComponent aExtension)

  Adds a command extension object.

  Parameters:
    `aExtension` - command extension object associated with the command

### getCommand

    public EPPCommand getCommand()

  Retrieve the `EPPCommand` object to send

  Returns:
    `EPPCommand` to send to the server.

### getExtensions

    public java.util.Vector<EPPCodecComponent> getExtensions()

  Gets the command extensions.

  Returns:
    `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

### getResponse

    public EPPResponse getResponse()

  Get the `EPPResponse` associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.

  Returns:
    `EPPResponse` associated with the last command

### getSession

    public EPPSession getSession()

  Retrieve the `EPPSession` associated with this EPPSuggestion.

  Returns:
    `EPPSession`

### sendInfo

    public EPPSuggestionInfoResp sendInfo()
                                   throws EPPCommandException

  Throws:
    `EPPCommandException`

### setCommand

    public void setCommand(EPPCommand command)

### setExtensions

    public void setExtensions(java.util.Vector<EPPCodecComponent> aExtensions)

### setSession

    public void setSession(EPPSession aSession)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.